This is the mail archive of the crossgcc@sourceware.org mailing list for the crossgcc project.

See the CrossGCC FAQ for lots more information.


Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]
Other format: [Raw text]

Re: [PATCH] kernel/linux: Cleanup unneeded files from 'headers_check' and 'headers_install'


Bryan, All,

On Tuesday 21 December 2010 21:14:33 Bryan Hundven wrote:
> # HG changeset patch
> # User Bryan Hundven <bryanhundven@gmail.com>
> # Date 1292962441 28800
> # Node ID 92951c85f1f2810fdedc29d9576c3cc316e0bb86
> # Parent  13e4f7126cf76604d53510f9571e6422991774fd
> kernel/linux: Cleanup unneeded files from 'headers_check' and 'headers_install'
> 
> headers_install makes  .install and ..install.cmd files.
> headers_check makes    .check   and ..check.cmd   files.
> Remove these files after installing checked include files to the sys-root.

Your SoB line is missing from all your patches. Do you want me to add it
before I push?

BTW, here's a little (perfectible) script that automatically adds SoB lines
when running qnew:

  ---8<---
  #!/bin/sh
  # ----
  # (C) 2010 Yann E. MORIN, licensed under the GPLv2
  # Usage for this script:
  # Put it in /path/to/hg-qnew-sob, and chmod 755 /path/to/hg-qnew-sob
  # Add the following to your ~/.hgrc :
  #   [hooks]
  #   post-qnew = /path/to/hg-qnew-sob
  # ----
  # Fail early and automatically
  set -e
  # Temp file for log message
  TMP="$(mktemp)"
  # Get current log message
  LC_ALL=C hg log -r qtip --template '{desc}\n' >"${TMP}"
  # Only add SoB line if none is present
  if ! grep -E '^Signed-off-by: (".*"|.*) <.*@.*\..*>$' "${TMP}" >/dev/null 2>&1; then
    HG_USERNAME="$( grep -E '^[[:space:]]*username[[:space:]]*=[[:space:]]*' "${HOME}/.hgrc" \
                    |sed -r -e 's/^[[:space:]]*username[[:space:]]*=[[:space:]]*//;'
                  )"
    printf "Adding SoB line: '%s'\n" "${HG_USERNAME}" >&2
    printf "\nSigned-off-by: %s" "${HG_USERNAME}" >>"${TMP}"
    hg qrefresh -l "${TMP}" >/dev/null
  fi
  exit 0
  ---8<---

Regards,
Yann E. MORIN

-- 
.-----------------.--------------------.------------------.--------------------.
|  Yann E. MORIN  | Real-Time Embedded | /"\ ASCII RIBBON | Erics' conspiracy: |
| +33 662 376 056 | Software  Designer | \ / CAMPAIGN     |  ___               |
| +33 223 225 172 `------------.-------:  X  AGAINST      |  \e/  There is no  |
| http://ymorin.is-a-geek.org/ | _/*\_ | / \ HTML MAIL    |   v   conspiracy.  |
'------------------------------^-------^------------------^--------------------'

--
For unsubscribe information see http://sourceware.org/lists.html#faq


Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]